\documentclass{standalone}
\usepackage{tikz}
\usetikzlibrary{arrows,automata, positioning}

\begin{document}
\begin{tikzpicture}[node distance=1cm]
	\tikzstyle{soc}=[fill=red, circle]
	\tikzstyle{eco}=[fill=green, circle]
	\tikzstyle{arrow} = [%
		thick,
		->,
		>=stealth,
		bend angle= 15
	]

	\node[soc] (m1s1) {};
	\node[eco] (m1e1) [below of=m1s1, xshift=-.5cm] {};
	\node[eco] (m1e2) [right of=m1e1] {};
	\path (m1e1) edge [arrow] (m1e2);
	\node (m1t1) [below of=m1e1, yshift=0.5cm, xshift=.5cm, align=flush center] {II.A};
	
	\node[soc] (m2s1) [below of=m1t1, yshift=.5cm] {};
	\node[eco] (m2e1) [below of=m2s1, xshift=-.5cm] {};
	\node[eco] (m2e2) [right of=m2e1] {};
	\path (m2e1) edge [arrow] (m2e2);
	\path (m2e2) edge [arrow] (m2s1);
	\node (m2t1) [below of=m2e1, yshift=0.5cm, xshift=.5cm, align=flush center] {II.B.1};
	
    \node[soc] (m3s1) [left of=m2s1, xshift=2.7cm] {};
	\node[eco] (m3e1) [below of=m3s1, xshift=-.5cm] {};
	\node[eco] (m3e2) [right of=m3e1] {};
	\path (m3e1) edge [arrow] (m3e2);
	\path (m3s1) edge [arrow] (m3e2);
	\node (m3t1) [below of=m3e1, yshift=0.5cm, xshift=.5cm, align=flush center] {II.B.2};

    \node[soc] (m4s1) [left of=m3s1, xshift=2.7cm] {};
	\node[eco] (m4e1) [below of=m4s1, xshift=-.5cm] {};
	\node[eco] (m4e2) [right of=m4e1] {};
	\path (m4e1) edge [arrow] (m4e2);
	\path (m4s1) edge [arrow, bend left] (m4e2);
	\path (m4e2) edge [arrow, bend left] (m4s1);
	\node (m4t1) [below of=m4e1, yshift=0.5cm, xshift=.5cm, align=flush center] {II.B.3};

    \node[soc] (m5s1) [left of=m4s1, xshift=2.7cm] {};
	\node[eco] (m5e1) [below of=m5s1, xshift=-.5cm] {};
	\node[eco] (m5e2) [right of=m5e1] {};
	\path (m5e1) edge [arrow] (m5e2);
	\node (m5t1) [below of=m5e1, yshift=0.5cm, xshift=.5cm, align=flush center] {II.B.4};

    \node[soc] (m6s1) [left of=m5s1, xshift=2.7cm] {};
	\node[eco] (m6e1) [below of=m6s1, xshift=-.5cm] {};
	\node[eco] (m6e2) [right of=m6e1] {};
	\path (m6e1) edge [arrow] (m6e2);
	\node (m6t1) [below of=m6e1, yshift=0.5cm, xshift=.5cm, align=flush center] {II.B.5};

    \node[soc] (m7s1) [left of=m6s1, xshift=2.7cm] {};
	\node[eco] (m7e1) [below of=m7s1, xshift=-.5cm] {};
	\node[eco] (m7e2) [right of=m7e1] {};
	\path (m7e1) edge [arrow] (m7e2);
	\node (m7t1) [below of=m7e1, yshift=0.5cm, xshift=.5cm, align=flush center] {II.B.6};
	
	\path (m5e1) edge [arrow] (m5s1);
	\path (m6s1) edge [arrow] (m6e1);
	\path (m7s1) edge [arrow, bend left] (m7e1);
	\path (m7e1) edge [arrow, bend left] (m7s1);

	\node[soc] (m8s1) [below of=m2t1, yshift=.5cm] {};
	\node[eco] (m8e1) [below of=m8s1, xshift=-.5cm] {};
	\node[eco] (m8e2) [right of=m8e1] {};
	\path (m8e1) edge [arrow] (m8e2);
	\node (m8t1) [below of=m8e1, yshift=0.5cm, xshift=.5cm, align=flush center] {II.C.1};

    \node[soc] (m9s1) [left of=m8s1, xshift=2.7cm] {};
	\node[eco] (m9e1) [below of=m9s1, xshift=-.5cm] {};
	\node[eco] (m9e2) [right of=m9e1] {};
	\path (m9e1) edge [arrow] (m9e2);
	\node (m9t1) [below of=m9e1, yshift=0.5cm, xshift=.5cm, align=flush center] {II.C.2};

    \node[soc] (m10s1) [left of=m9s1, xshift=2.7cm] {};
	\node[eco] (m10e1) [below of=m10s1, xshift=-.5cm] {};
	\node[eco] (m10e2) [right of=m10e1] {};
	\path (m10e1) edge [arrow] (m10e2);
	\node (m10t1) [below of=m10e1, yshift=0.5cm, xshift=.5cm, align=flush center] {II.C.3};

    \node[soc] (m11s1) [left of=m10s1, xshift=2.7cm] {};
	\node[eco] (m11e1) [below of=m11s1, xshift=-.5cm] {};
	\node[eco] (m11e2) [right of=m11e1] {};
	\path (m11e1) edge [arrow] (m11e2);
	\node (m11t1) [below of=m11e1, yshift=0.5cm, xshift=.5cm, align=flush center] {II.C.4};

    \node[soc] (m12s1) [left of=m11s1, xshift=2.7cm] {};
	\node[eco] (m12e1) [below of=m12s1, xshift=-.5cm] {};
	\node[eco] (m12e2) [right of=m12e1] {};
	\path (m12e1) edge [arrow] (m12e2);
	\node (m12t1) [below of=m12e1, yshift=0.5cm, xshift=.5cm, align=flush center] {II.C.5};

    \node[soc] (m13s1) [left of=m12s1, xshift=2.7cm] {};
	\node[eco] (m13e1) [below of=m13s1, xshift=-.5cm] {};
	\node[eco] (m13e2) [right of=m13e1] {};
	\path (m13e1) edge [arrow] (m13e2);
	\node (m13t1) [below of=m13e1, yshift=0.5cm, xshift=.5cm, align=flush center] {II.C.6};

    \node[soc] (m14s1) [left of=m13s1, xshift=2.7cm] {};
	\node[eco] (m14e1) [below of=m14s1, xshift=-.5cm] {};
	\node[eco] (m14e2) [right of=m14e1] {};
	\path (m14e1) edge [arrow] (m14e2);
	\node (m14t1) [below of=m14e1, yshift=0.5cm, xshift=.5cm, align=flush center] {II.C.7};

    \node[soc] (m15s1) [left of=m14s1, xshift=2.7cm] {};
	\node[eco] (m15e1) [below of=m15s1, xshift=-.5cm] {};
	\node[eco] (m15e2) [right of=m15e1] {};
	\path (m15e1) edge [arrow] (m15e2);
	\node (m15t1) [below of=m15e1, yshift=0.5cm, xshift=.5cm, align=flush center] {II.C.8};

    \node[soc] (m16s1) [left of=m15s1, xshift=2.7cm] {};
	\node[eco] (m16e1) [below of=m16s1, xshift=-.5cm] {};
	\node[eco] (m16e2) [right of=m16e1] {};
	\path (m16e1) edge [arrow] (m16e2);
	\node (m16t1) [below of=m16e1, yshift=0.5cm, xshift=.5cm, align=flush center] {II.C.9};

	\path (m8e1) edge [arrow] (m8s1);
	\path (m8e2) edge [arrow] (m8s1);
	\path (m9e1) edge [arrow] (m9s1);
	\path (m9s1) edge [arrow] (m9e2);
	\path (m10e1) edge [arrow] (m10s1);
	\path (m10s1) edge [arrow, bend left] (m10e2);
	\path (m10e2) edge [arrow, bend left] (m10s1);
	\path (m11s1) edge [arrow] (m11e1);
	\path (m11e2) edge [arrow] (m11s1);
	\path (m12s1) edge [arrow] (m12e1);
	\path (m12s1) edge [arrow] (m12e2);
	\path (m13s1) edge [arrow] (m13e1);
	\path (m13s1) edge [arrow, bend left] (m13e2);
	\path (m13e2) edge [arrow, bend left] (m13s1);
	\path (m14s1) edge [arrow, bend left] (m14e1);
	\path (m14e1) edge [arrow, bend left] (m14s1);
	\path (m14e2) edge [arrow] (m14s1);
	\path (m15s1) edge [arrow, bend left] (m15e1);
	\path (m15e1) edge [arrow, bend left] (m15s1);
	\path (m15s1) edge [arrow] (m15e2);
	\path (m16s1) edge [arrow, bend left] (m16e1);
	\path (m16e1) edge [arrow, bend left] (m16s1);
	\path (m16s1) edge [arrow, bend left] (m16e2);
	\path (m16e2) edge [arrow, bend left] (m16s1);
\end{tikzpicture}

\end{document}
